Subject: Re: MPC885 - USB HCI drivers.

From: Vitaly Bordug <[email-masked]>
Date: Thu, 20 Dec 2007 21:41:39 +0300

On Thu, 20 Dec 2007 08:53:07 +0200
Jonathan Journo wrote:

> Hello Pantelis ,
> 
> I saw you used usb host driver on mpc8xx. I am trying to make one on
> MPC885 because vxworks drivers are not compatible with it.
> 
> To begin I tried to make the loopback mode (test) working but it
> doesn't work. Is there anything that is not mentioned on the
> datasheet in" USB host controller initialization example" that I have
> to know to make it work.

iirc, Panto was working with 8271, not 8xx hci. I made some investigations, basing on driver from Arabella SW.
The whole thing needs microcode upload and is very flakey from what I recall. In fact I gave up b/c it was not
doing things described in datasheet, so the same case.

-- 
Sincerely, Vitaly